Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entry.validator
Class EmailValidator

    java.lang.Object
      org.pentaho.di.job.entry.validator.EmailValidator

All Implemented Interfaces:
  JobEntryValidator

    public class EmailValidator

extends Object
implements JobEntryValidator

Field Summary
`static EmailValidator` | `INSTANCE`

Fields inherited from interface org.pentaho.di.job.entry.validator.JobEntryValidator
`KEY_LEVEL_ON_FAIL`

Constructor Summary
`EmailValidator()`

Method Summary
`String` | `getName()` Returns the name of this validator, unique among all validators.
`boolean` | `validate(org.pentaho.di.core.CheckResultSourceInterface source, String propertyName, List<org.pentaho.di.core.CheckResultInterface> remarks, ValidatorContext context)` Using reflection, the validator fetches the field named `propertyName` from the bean `source` and runs the validation putting any messages into `remarks`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EmailValidator INSTANCE

Constructor Detail

### EmailValidator

    public EmailValidator()

Method Detail

### getName

    public String getName()

  Description copied from interface: `JobEntryValidator`
  Returns the name of this validator, unique among all validators.

  Specified by:
    `getName` in interface `JobEntryValidator`
  Returns:
    name

### validate

    public boolean validate(org.pentaho.di.core.CheckResultSourceInterface source,
                            String propertyName,
                            List<org.pentaho.di.core.CheckResultInterface> remarks,
                            ValidatorContext context)

  Description copied from interface: `JobEntryValidator`
  Using reflection, the validator fetches the field named `propertyName` from the bean `source` and runs the validation putting any messages into `remarks`. The return value is `true` if the validation passes.

  Specified by:
    `validate` in interface `JobEntryValidator`
  Parameters:
    `source` - bean to validate
    `propertyName` - property to validate
    `remarks` - list to which to add messages
    `context` - any other information needed to perform the validation
  Returns:
    validation result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD